Skip to main content
POST
/
api
/
core
/
google_drive
/
finder_view
/
extend_transient
Get extended finder view items (transient, paginated)
curl --request POST \
  --url https://api.example.com/api/core/google_drive/finder_view/extend_transient \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_to_extend": {
    "id": "<string>",
    "name": {
      "en": "<string>",
      "de": "<string>",
      "es": "<string>",
      "fr": "<string>",
      "it": "<string>",
      "nl": "<string>",
      "pl": "<string>",
      "pt": "<string>",
      "sv": "<string>"
    },
    "status": "not_selected",
    "type": "drive"
  },
  "single_page": true,
  "page_size": 123,
  "page_token": "<string>"
}
'
{
  "items": [
    {
      "id": "<string>",
      "name": {
        "en": "<string>",
        "de": "<string>",
        "es": "<string>",
        "fr": "<string>",
        "it": "<string>",
        "nl": "<string>",
        "pl": "<string>",
        "pt": "<string>",
        "sv": "<string>"
      },
      "type": "shared",
      "expandable": true,
      "selectable": true,
      "ingestible": true,
      "status": "not_selected",
      "mime_type": "<string>"
    }
  ],
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Body

application/json
item_to_extend
GoogleDriveDrive · object
required
single_page
boolean | null
page_size
integer | null
page_token
string | null

Response

Successful Response

items
FinderViewItem · object[]
required
next_page_token
string | null